from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAxisYSupplier(XInterface, Protocol):
    def getYAxisTitle(self) -> XShape: ...
    def getYAxis(self) -> XPropertySet: ...
    def getYHelpGrid(self) -> XPropertySet: ...
    def getYMainGrid(self) -> XPropertySet: ...
